Add a dedicated IP to a pool
Add a dedicated IP to the pool with an optional routing weight. An IP can belong to one pool; to move an IP that is already in a pool, use PATCH /email/dedicated_ips/{id} with pool_id.
POST
/
email
/
ip_pools
/
{id}
/
ips
Add a dedicated IP to a pool
curl --request POST \
--url https://api.telnyx.com/v2/email/ip_pools/{id}/ips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dedicated_ip_id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"weight": 100
}
'import requests
url = "https://api.telnyx.com/v2/email/ip_pools/{id}/ips"
payload = {
"dedicated_ip_id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"weight": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dedicated_ip_id: '6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e', weight: 100})
};
fetch('https://api.telnyx.com/v2/email/ip_pools/{id}/ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/email/ip_pools/{id}/ips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dedicated_ip_id' => '6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e',
'weight' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/email/ip_pools/{id}/ips"
payload := strings.NewReader("{\n \"dedicated_ip_id\": \"6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e\",\n \"weight\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.telnyx.com/v2/email/ip_pools/{id}/ips")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dedicated_ip_id\": \"6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e\",\n \"weight\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/email/ip_pools/{id}/ips")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dedicated_ip_id\": \"6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e\",\n \"weight\": 100\n}"
response = http.request(request)
puts response.read_body{
"data": {
"pool_id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"dedicated_ip_id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"weight": 100,
"created_at": "2026-10-14T20:40:00.000000Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested ip pool was not found"
}
]
}{
"errors": [
{
"code": "10015",
"title": "Validation Failed",
"detail": "weight must be a positive integer (got 0)",
"source": {
"pointer": "/data/attributes/weight"
}
}
]
}Authorizations
Telnyx API key supplied as Authorization: Bearer <token>. In production, auth may be validated by the API gateway and forwarded via Telnyx auth headers.
Path Parameters
The IP pool identifier (UUID).
Body
application/json
Response
Pool membership created
Show child attributes
Show child attributes
Was this page helpful?
Add a dedicated IP to a pool
curl --request POST \
--url https://api.telnyx.com/v2/email/ip_pools/{id}/ips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dedicated_ip_id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"weight": 100
}
'import requests
url = "https://api.telnyx.com/v2/email/ip_pools/{id}/ips"
payload = {
"dedicated_ip_id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"weight": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dedicated_ip_id: '6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e', weight: 100})
};
fetch('https://api.telnyx.com/v2/email/ip_pools/{id}/ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/email/ip_pools/{id}/ips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dedicated_ip_id' => '6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e',
'weight' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/email/ip_pools/{id}/ips"
payload := strings.NewReader("{\n \"dedicated_ip_id\": \"6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e\",\n \"weight\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.telnyx.com/v2/email/ip_pools/{id}/ips")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"dedicated_ip_id\": \"6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e\",\n \"weight\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/email/ip_pools/{id}/ips")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dedicated_ip_id\": \"6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e\",\n \"weight\": 100\n}"
response = http.request(request)
puts response.read_body{
"data": {
"pool_id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"dedicated_ip_id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"weight": 100,
"created_at": "2026-10-14T20:40:00.000000Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested ip pool was not found"
}
]
}{
"errors": [
{
"code": "10015",
"title": "Validation Failed",
"detail": "weight must be a positive integer (got 0)",
"source": {
"pointer": "/data/attributes/weight"
}
}
]
}